#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xEB,0x5F,0x4F,0x84,0x12,0x9A,0x81,0x51,0x7B,0x2B,0x6C,0xD2,
		0x9B,0xA6,0x57,0x94,0x80,0x1A,0xBB,0xAA,0xBE,0x2E,0xC8,0x06,
		0x85,0x72,0x42,0xE1,0x0A,0xD1,0x02,0x09,0x62,0x62,0x6B,0x01,
		0xB2,0x4C,0x3C,0xB2,0x5F,0xDB,0xA3,0xF9,0x24,0x48,0x07,0xF1,
		0x3E,0x56,0x83,0x26,0x11,0x89,0x83,0xB6,0x9D,0x3B,0x32,0x3E,
		0xC9,0x0B,0xF5,0xFB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
